org.apache.sling.hapi

## Interface HApiProperty

All Known Implementing Classes:
  HApiPropertyImpl

    @ProviderType
    public interface HApiProperty

A Hypermedia API property for a `HApiType`

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getDescription()` Get the description of this property
`Boolean` `getMultiple()` Whether this property is a multiple value
`String` `getName()` Get the name of this property
`HApiType` `getType()` Get the type of this property
`void` `setDescription(String description)` Set the description of this property
`void` `setMultiple(Boolean multiple)` Set the boolean value for multiple
`void` `setName(String name)` Set the name of this property
`void` `setType(HApiType type)` Set the type of this property

### Method Detail

#### getName

    String getName()

Get the name of this property

Returns:

#### setName

    void setName(String name)

Set the name of this property

Parameters:
  `name` -

#### getDescription

    String getDescription()

Get the description of this property

Returns:

#### setDescription

    void setDescription(String description)

Set the description of this property

#### getType

    HApiType getType()

Get the type of this property

Returns:

#### setType

    void setType(HApiType type)

Set the type of this property

#### getMultiple

    Boolean getMultiple()

Whether this property is a multiple value

Returns:

#### setMultiple

    void setMultiple(Boolean multiple)

Set the boolean value for multiple

Parameters:
  `multiple` -